ProjectUni/Models/Videos.cs
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace ProjectUni.Models
{
    public class Videos
    {
        [Key]
        public int V_ID { get; set; }

        [Display(Name = "Video Name"), Required]
        //[RegularExpression(@"^[a-zA-Z0-9]+$", ErrorMessage = "Use Alphabets and Numbers Only")]
        public string Name { get; set; }

        [Display(Name = "Video URL"), Required]
        [Url(ErrorMessage = "Please enter a valid url")]
        public string URL { get; set; }

        [Display(Name = "Topic Category")]
        public int T_ID { get; set; }
        public virtual Topics topics { get; set; }
    }
}

ProjectUni/Controllers/VideosController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using ProjectUni.Models;
using PagedList;
using PagedList.Mvc;

namespace ProjectUni.Controllers
{
    [AuthorizeUserAccessLevel(UserRole = "Admin")]
    public class VideosController : Controller
    {
        private PContext db = new PContext();

        // GET: Videos
        public ActionResult Index(int? page, string search)
        {
            var videos = db.Videos.Include(v => v.topics);
            videos = db.Videos.AsQueryable();
            videos = videos.Where(x => x.topics.TName.Contains(search) || search == null);
            return View(videos.ToList().OrderByDescending(x=>x.V_ID).ToPagedList(page ?? 1, 4));
        }

        // GET: Videos/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Videos videos = db.Videos.Find(id);
            if (videos == null)
            {
                return HttpNotFound();
            }
            return View(videos);
        }

        // GET: Videos/Create
        public ActionResult Create()
        {
            ViewBag.T_ID = new SelectList(db.Topics, "T_ID", "TName");
            return View();
        }

        // POST: Videos/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include = "V_ID,Name,URL,T_ID")] Videos videos)
        {
            if (ModelState.IsValid)
            {
                videos.URL = videos.URL.Replace("watch?v=", "embed/");
                db.Videos.Add(videos);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            ViewBag.T_ID = new SelectList(db.Topics, "T_ID", "TName", videos.T_ID);
            return View(videos);
        }

        // GET: Videos/Edit/5
        public ActionResult Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Videos videos = db.Videos.Find(id);
            if (videos == null)
            {
                return HttpNotFound();
            }
            ViewBag.T_ID = new SelectList(db.Topics, "T_ID", "TName", videos.T_ID);
            return View(videos);
        }

        // POST: Videos/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "V_ID,Name,URL,T_ID")] Videos videos)
        {
            if (ModelState.IsValid)
            {
                db.Entry(videos).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            ViewBag.T_ID = new SelectList(db.Topics, "T_ID", "TName", videos.T_ID);
            return View(videos);
        }

        // GET: Videos/Delete/5
        public ActionResult Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Videos videos = db.Videos.Find(id);
            if (videos == null)
            {
                return HttpNotFound();
            }
            return View(videos);
        }

        // POST: Videos/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            Videos videos = db.Videos.Find(id);
            db.Videos.Remove(videos);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}

ProjectUni/Views/Videos/Create.cshtml
@model ProjectUni.Models.Videos
@using ProjectUni.Models;
@{
    ViewBag.Title = "Create";
    //Layout = "~/Views/Shared/_AdminLayout.cshtml";
    Layout = "~/Views/Shared/_ProfileLayout.cshtml";

}
@{ 
    PContext db = new PContext();
    var id = Session["UserID"];
    var ob = db.Registration.Find(id);
    var em = ob.Email;
}
<div class="col-xs-12">
    <div class="box" style="background-color:rgba(0, 0, 0, 0.81);padding-bottom:10px;">
        <div class="box-body" style="margin:20px 50px 20px 50px;padding:0px 50px 0px 50px;">
            <h2 style="color:white;">Create</h2>
            <h4 style="color:white">Videos</h4>
            @using (Html.BeginForm())
            {
                @Html.AntiForgeryToken()

                <div class="form-horizontal">

                    <hr />
                    @Html.ValidationSummary(true, "", new { @class = "text-danger" })

                    <div class="form-group">
                        @Html.LabelFor(model => model.T_ID, "T_ID", htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.DropDownList("T_ID", null, htmlAttributes: new { @class = "form-control" })
                            @Html.ValidationMessageFor(model => model.T_ID, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(model => model.Name, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.Name, new { htmlAttributes = new { @class = "form-control", placeholder = "Video Name" } })
                            @Html.ValidationMessageFor(model => model.Name, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(model => model.URL, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.URL, new { htmlAttributes = new { @class = "form-control", placeholder = "Video URL" } })
                            @Html.ValidationMessageFor(model => model.URL, "", new { @class = "text-danger" })
                        </div>
                    </div>



                    <div class="form-group">
                        <div class="col-md-offset-2 col-md-10">
                            <input type="submit" value="Create" class="btn btn-default" />
                        </div>
                    </div>
                </div>
            }

            <div>
                @Html.ActionLink("Back to List", "Index")
            </div>

        </div>
    </div>
</div>

ProjectUni/Views/Videos/Delete.cshtml
@model ProjectUni.Models.Videos

@{
    ViewBag.Title = "Delete";
    Layout = "~/Views/Shared/_AdminLayout.cshtml";
}
<div class="col-xs-12">
    <div class="box">
        <div class="box-body">

            <h2>Delete</h2>

            <h3>Are you sure you want to delete this?</h3>
            <div>
                <h4>Videos</h4>
                <hr />
                <dl class="dl-horizontal">
                    <dt>
                        @Html.DisplayNameFor(model => model.topics.TName)
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => model.topics.TName)
                    </dd>

                    <dt>
                        @Html.DisplayNameFor(model => model.Name)
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => model.Name)
                    </dd>

                    <dt>
                        @Html.DisplayNameFor(model => model.URL)
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => model.URL)
                    </dd>

                </dl>

                @using (Html.BeginForm())
                {
                    @Html.AntiForgeryToken()

                    <div class="form-actions no-color">
                        <input type="submit" value="Delete" class="btn btn-default" /> |
                        @Html.ActionLink("Back to List", "Index")
                    </div>
                }
            </div>
        </div>
    </div>
</div>

ProjectUni/Views/Videos/Details.cshtml
@model ProjectUni.Models.Videos

@{
    ViewBag.Title = "Details";
    Layout = "~/Views/Shared/_AdminLayout.cshtml";
}
<div class="col-xs-12">
    <div class="box">
        <div class="box-body">

            <h2>Details</h2>

            <div>
                <h4>Videos</h4>
                <hr />
                <dl class="dl-horizontal">
                    <dt>
                        @Html.DisplayNameFor(model => model.topics.TName)
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => model.topics.TName)
                    </dd>

                    <dt>
                        @Html.DisplayNameFor(model => model.Name)
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => model.Name)
                    </dd>

                    <dt>
                        @Html.DisplayNameFor(model => model.URL)
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => model.URL)
                    </dd>

                </dl>
            </div>
            <p>
                @Html.ActionLink("Edit", "Edit", new { id = Model.V_ID }) |
                @Html.ActionLink("Back to List", "Index")
            </p>
        </div>
    </div>
</div>

ProjectUni/Views/Videos/Edit.cshtml
@model ProjectUni.Models.Videos

@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_AdminLayout.cshtml";
}
<div class="col-xs-12">
    <div class="box">
        <div class="box-body">

            <h2>Edit</h2>

            @using (Html.BeginForm())
            {
                @Html.AntiForgeryToken()

                <div class="form-horizontal">
                    <h4>Videos</h4>
                    <hr />
                    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                    @Html.HiddenFor(model => model.V_ID)

                    <div class="form-group">
                        @Html.LabelFor(model => model.Name, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.Name, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.Name, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(model => model.URL, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.URL, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.URL, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(model => model.T_ID, "T_ID", htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.DropDownList("T_ID", null, htmlAttributes: new { @class = "form-control" })
                            @Html.ValidationMessageFor(model => model.T_ID, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-offset-2 col-md-10">
                            <input type="submit" value="Save" class="btn btn-default" />
                        </div>
                    </div>
                </div>
            }

            <div>
                @Html.ActionLink("Back to List", "Index")
            </div>
        </div>
    </div>
</div>

ProjectUni/Views/Videos/Index.cshtml
@using PagedList;
@using PagedList.Mvc;

@model IPagedList<ProjectUni.Models.Videos>

@*@model IEnumerable<ProjectUni.Models.Videos>*@

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_AdminLayout.cshtml";
}
<div class="col-xs-12">
    <div class="box">
        <div class="box-body">
            <h2>Index</h2>

            <div>
                @Html.ActionLink("Create New", "Create")
                <spam class="pull-right" style="margin-top:50px">
                    @using (Html.BeginForm("Index", "Videos", FormMethod.Get))
                    {

                        @*@Html.Label("Search by Title")<br />*@
                        <input type="text" style="padding-right:30px;margin-bottom:20px" placeholder="By Topic Name Only" name="search" />
                        <input type="submit" value="Search" />
                    }
                </spam>
            </div>
            <table class="table">
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.First().topics.TName)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.First().Name)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.First().URL)
                    </th>
                    <th></th>
                </tr>

                @foreach (var item in Model)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.topics.TName)
                        </td>
                        <td>
                            <a href="@item.URL">@item.Name</a>
                            @*@Html.DisplayFor(modelItem => item.Name)*@
                        </td>
                        @*<td>
                        @Html.DisplayFor(modelItem => item.URL)
                    </td>*@
                        <td>
                            @Html.ActionLink("Edit", "Edit", new { id = item.V_ID }) |
                            @Html.ActionLink("Details", "Details", new { id = item.V_ID }) |
                            @Html.ActionLink("Delete", "Delete", new { id = item.V_ID })
                        </td>
                    </tr>
                }
                @Html.PagedListPager(Model, page => Url.Action("Index", new { page }))
            </table>
        </div>
    </div>
</div>